$(function()
{
	ClearOnlineSession()//页面加载调用 清理不在线用户状态
	setInterval(ClearOnlineSession,60000)//同上，定时1分钟执行1次
	GetData()//页面加载调用 今日数据
	setInterval(GetData,30000)//同上，定时30秒执行1次
})

function ClearOnlineSession()
{
	$.post("ajax/clearonlineuser.ashx",function()
	{
	  
	})
}
var lsdata = "";
function GetData()
{
	$.post("ajax/moneynotmakecount.ashx",function(data)
	{	    
		var index_count=0;
		if (data.hk > 0) {
		    index_count++;
		    GetMusic("hk")
		    $("#msg_yh").text(data.hk);
		    $("#msg_yh_l").show();
		    $("#msg_yh_l").text(data.hk);
		    $(".sidebar-menu li#li_four .treeview-menu li:eq(2)").find("i").addClass("text-green");
		} else {
		    $("#msg_yh").text("0");
		    $("#msg_yh_l").hide();
		}
		if(data.tk>0)
		{
		    index_count++;
			GetMusic("tk")
			$("#msg_tk").text(data.tk);
			$("#msg_tk_l").show();
			$("#msg_tk_l").text(data.tk);
			$(".sidebar-menu li#li_four .treeview-menu li:eq(3)").find("i").addClass("text-aqua");
		} else {
		    $("#msg_tk").text("0");
		}
		if(data.agent>0)
		{
		    index_count++;
			GetMusic("agent")		
			$("#msg_agent").text(data.agent);
			$("#msg_agent_l").show();
			$("#msg_agent_l").text(data.agent);
			$(".sidebar-menu li#li_fire .treeview-menu li:eq(1)").find("i").addClass("text-primary");
		} else {
		    $("#msg_agent").text("0");
		}
		if (data.hot > 0)
		{
		    index_count++;
		    GetMusic("hot")
		    $("#msg_hot").text(data.hot);
		    $("#msg_hot_l").show();
		    $("#msg_hot_l").text(data.hot);
		    $(".sidebar-menu li#li_four .treeview-menu li:eq(0)").find("i").addClass("text-red");
		} else {
		    $("#msg_hot").text("0");
		}
        //每天
		if (data.nowDay > 0) {
		    index_count++;
		    GetMusic("tx1")
		    $("#nowJdayli").show();
		    $("#remindDiv").show();
		    $("#remindDiv").find("span").eq(0).show();
		}
        //周一
		if (data.nowZday > 0) {
		    index_count++;
		    GetMusic("tx2")
		    $("#nowZdayli").show();
		    $("#remindDiv").show();
		    $("#remindDiv").find("span").eq(1).show();
		}
        //每月初
		if (data.nowMday > 0) {
		    index_count++;
		    GetMusic("tx3")
		    $("#nowYdayli").show();
		    $("#remindDiv").show();
		    $("#remindDiv").find("span").eq(2).show();
		}
		
		$("#msg_total").text(index_count);
		$("#msg_total_c").text(index_count);
		
	},"json")
}

function closetip(i)
{
    if ($(i).attr("class") == "fa fa-window-close") {
        $("#show").find("span").hide();
        $("#show").attr("style", "left:0px");
        $("#show").find("i").attr("class", "fa fa-navicon");
    } else {
        $("#show").find("span").show();
        $("#show").attr("style", "left:0px");
        $("#show").find("i").attr("class", "fa fa-window-close");
    }
}

function GetMusic(filename)
{
	if(filename=="")
	{
		$("#music").html("")
	}
	else
	{
	    var bw = $.browser;
	    var bw = $.support;
	if(bw.msie)
	{
		$("#music").html("<embed src=\"music/"+filename+".mp3\"/>")
	}
	else
	{
		$("#music").html("<audio autoplay=\"autoplay\"><source src=\"music/"+filename+".mp3\" type=\"audio/wav\"/><source src=\"music/"+filename+".mp3\" type=\"audio/mpeg\"/></audio>")
	}
	}
}
